Package opennlp.tools.util.featuregen

# Class TokenClassFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.TokenClassFeatureGenerator

All Implemented Interfaces:
  `AdaptiveFeatureGenerator`

public class TokenClassFeatureGenerator extends Object implements AdaptiveFeatureGenerator
Generates features for the class of a token.

See Also:
  - `AdaptiveFeatureGenerator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TokenClassFeatureGenerator()`
  Initalizes a `TokenClassFeatureGenerator` which won't generate the `w&c` feature per token.
  `TokenClassFeatureGenerator(boolean generateWordAndClassFeature)`
  Initalizes a `TokenClassFeatureGenerator`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] preds)`
  Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

  `clearAdaptiveData, updateAdaptiveData`

- ## Constructor Details

  - ### TokenClassFeatureGenerator

    public TokenClassFeatureGenerator()
    Initalizes a `TokenClassFeatureGenerator` which won't generate the `w&c` feature per token.

  - ### TokenClassFeatureGenerator

    public TokenClassFeatureGenerator(boolean generateWordAndClassFeature)
    Initalizes a `TokenClassFeatureGenerator`.
    Parameters:
      `generateWordAndClassFeature` - If `true` the `w&c` feature will be generated per token, `false` otherwise.

- ## Method Details

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] preds)
    Description copied from interface: `AdaptiveFeatureGenerator`
    Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
    Specified by:
      `createFeatures` in interface `AdaptiveFeatureGenerator`
    Parameters:
      `features` - The list of features to be added to.
      `tokens` - The tokens of the sentence or other text unit being processed.
      `index` - The index of the token which is currently being processed.
      `preds` - The outcomes for the tokens prior to the specified index.